import flet as ft
from utils import AppView, Title


def Settings(page: ft.Page):
    return AppView(
        "/settings",
        [
            ft.AppBar(
                leading=ft.IconButton(
                    ft.icons.ARROW_BACK_IOS_NEW_ROUNDED,
                    on_click=lambda _: page.go("/")
                ),
                title=ft.Text(Title(str(__file__))),
                bgcolor=ft.colors.TRANSPARENT
            ),
            ft.Text("Settings!"),
        ],
    )
